! ############################################################
!            Satellite Data Simulation Unit v2
!                    -  in_micro_bmcv -
!
! This subroutine reads in computed microwave Tb.
!
!              Updated from convolv-fov.f by H. M. (May, 2009)
!
 Subroutine in_micro_bmcv ( ifile )
   Use MAINparameters
   Use BMCVparameters
   Implicit NONE
!
! I/O parameters
!
   Integer, intent(in) :: ifile
!
! Local variables
!
   Character*100 pathandfile,filename
   Integer :: i, j, k, m, l
!
   filename = CRM_file_list(ifile)
!
! Data dimensions in ascii format
!
   pathandfile = outputdir//trim(filename)//'.mwr.info'
   open(unit= 15, file = pathandfile, status = 'old', form = 'formatted')
   read(15,51) ngridx, ngridy, nlyr, deltax, deltay
51 format(i3,' x ',i3,' (x,y) grid; ',i3,' layers; ', &
             ' deltax = ',f6.2,' km','  deltay = ',f6.2,' km')
!
   allocate ( Tb_out(ngridx,ngridy,mxfreq_microw,0:1) )
!
! Read in microwave brightness temperature at the original resolution
!
   pathandfile = outputdir//trim(filename)//'.mwr.org'
   open(unit= 20, file = pathandfile, access = 'direct', &
                  recl = ngridx*ngridy*mxfreq_microw*2*4)
!
   read(20,rec=1) ((((Tb_out(i,j,l,m),i=1,ngridx),j=1,ngridy), &
                                           m=0,1),l=1,mxfreq_microw)
!
   Close (15) ; Close (20)
!
   Return
 End Subroutine in_micro_bmcv
