! ############################################################
!            Satellite Data Simulation Unit v2
!                   -  in_visir_bmcv -
!
! This subroutine reads in visible/IR radiance.
!
!              Updated from convolv-fov.f by H. M. (May, 2009)
!
 Subroutine in_visir_bmcv ( ifile )
   Use MAINparameters
   Use BMCVparameters
   Implicit NONE
!
! I/O parameters
!
   Integer, intent(in) :: ifile
!
! Local variables
!
   Character*100 pathandfile,filename
   Integer :: i, j, iw
!
   filename = CRM_file_list(ifile)
!
! Data dimensions in ascii format
!
   pathandfile = outputdir//trim(filename)//'.vir.info'
   open(unit= 17, file = pathandfile, status = 'old', form = 'formatted')
   read(17,51) ngridx, ngridy, nlyr, deltax, deltay
51 format(i3,' x ',i3,' (x,y) grid; ',i3,' layers; ', &
             ' deltax = ',f6.2,' km','  deltay = ',f6.2,' km')
!
   allocate ( Ivir_out(ngridx,ngridy,mxwavel) )
!
! Read in vis/IR radiance at the original resolution
!
   pathandfile = outputdir//trim(filename)//'.vir.org'
   open(unit= 22, file = pathandfile, access = 'direct', &
                  recl = ngridx*ngridy*mxwavel*4)
!
   read(22,rec=1) (((Ivir_out(i,j,iw),i=1,ngridx),j=1,ngridy),iw=1,mxwavel)
!
   Close ( 22 ) ; Close ( 17 )
!
   Return
 End Subroutine in_visir_bmcv
   
