! ############################################################
!            Satellite Data Simulation Unit v2
!                   -  out_micro_bmcv -
!
! This subroutine writes out microwave brightness temperature
! with beam convolution applied.
!
!              Updated from convolv-fov.f by H. M. (May, 2009)
!
 Subroutine out_micro_bmcv ( ifile )
   Use MAINparameters
   Use BMCVparameters
   Implicit NONE
!
! I/O parameters
!
   Integer, intent(in) :: ifile
!
! Local variables
!
   Character*100 pathandfile,filename
   Integer :: i, j, k, m, l
!
   filename = CRM_file_list(ifile)
!
! Write out microwave brightness temperature at the FOV resolution
!
   pathandfile = outputdir//trim(filename)//'.mwr.fov'
   open(unit= 30, file = pathandfile, access = 'direct', &
                  recl = ngridx*ngridy*mxfreq_microw*2*4)
!
   write(30,rec=1) ((((Tb_out(i,j,l,m),i=1,ngridx),j=1,ngridy), &
                                            m=0,1),l=1,mxfreq_microw)
!
   deallocate ( Tb_out )
   Close (30)
!
   Return
 End Subroutine out_micro_bmcv

